using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace PDF_Office.DataConvert
{
    public class AnnotateFontSizeConverter : IValueConverter
    {
        //用于注释列表的字体   作者和日期的日期比正文日期小两个规格
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if ((double)value <= 0)
            {
                return null;
            }
            else
            {
                return (double)value - 2;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}